/***************************************************************************
                          ksubeditorview.cpp  -  description
                             -------------------
    begin                : sob sie  3 13:14:37 CEST 2002
    copyright            : (C) 2002 by Anatol Ogrek
    email                : mroova@linux.net.pl
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

// include files for Qt
#include <qprinter.h>
#include <qpainter.h>
#include <qdir.h>
// include files for KDE
#include <klocale.h>
#include <kstatusbar.h>
// application specific includes

#include "ksubeditorview.h"
#include "ksubeditordoc.h"


KsubeditorView::KsubeditorView(KsubeditorDoc* pDoc, QWidget *parent, const char* name, int wflags)
 : Lista(parent, name, wflags)
{
    doc=pDoc; 
}

KsubeditorView::~KsubeditorView()
{
}

KsubeditorDoc *KsubeditorView::getDocument() const
{
	return doc;
}

void KsubeditorView::update(KsubeditorView* pSender){
	if(pSender != this)
		repaint();
}


void KsubeditorView::print(QPrinter *pPrinter)
{
  if (pPrinter->setup(this))
  {
		QPainter p;
		p.begin(pPrinter);
		
		///////////////////////////////
		// TODO: add your printing code here
		///////////////////////////////
		
		p.end();
  }
}

void KsubeditorView::closeEvent(QCloseEvent* e){

// DO NOT CALL QWidget::closeEvent(e) here !!
// This will accept the closing by QCloseEvent::accept() by default.
// The installed eventFilter() in KsubeditorApp takes care for closing the widget
// or ignoring the close event
		
}

/** No descriptions */
void KsubeditorView::focusInEvent(QFocusEvent * e){
  emit got_focus();
}
