/***************************************************************************
                          subtitles.h  -  description
                             -------------------
    begin                : pi? sie 9 2002
    copyright            : (C) 2002 by Anatol Ogrek
    email                : mroova@linux.net.pl
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef SUBTITLES_H
#define SUBTITLES_H

#include "microdvd.h"
#include "vplayer.h"
#include "subripper.h"
#include "new_fps.h"

#include <qlistview.h>

/**
  *@author Anatol Ogrek
  */

class subtitles {
public: 
	subtitles(int f, KListView * list);
	~subtitles();
  /** No descriptions */
  bool load(QString file);
  /** No descriptions */
  bool move_time(int secs = 0,bool one = false);
  /** No descriptions */
  bool convert(int dest, KListView * ListView, int fps = 0);
  /** No descriptions */
  bool save(QString file);
  /** No descriptions */
  bool check();
  /** No descriptions */
  bool move_ms(int secs, bool one);
public: // Public attributes
  /**  */
  microDVD * micro;
  /**  */
  int format;
  /**  */
  float fps;
  /**  */
  VPlayer * v_player;
  /**  */
  subRipper * sub_rip;
  /**  */
  new_fps set_fps;
  /**  */
  KListView *Lista;
  subtitles * subtitle;
};

#endif
