/***************************************************************************
                          microdvd.h  -  description
                             -------------------
    begin                : sob sie 3 2002
    copyright            : (C) 2002 by Anatol Ogrek
    email                : mroova@linux.net.pl
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef MICRODVD_H
#define MICRODVD_H

#include <lista.h>
#include "movetime.h"
#include "new_fps.h"
#include "change_fps.h"
/**
  *@author Anatol Ogrek
  */

class microDVD : public Lista  {
public: 
	microDVD();
	~microDVD();
  /** No descriptions */
   microDVD(KListView * tablica);
  /** No descriptions */
  bool load(QString filename);
  /** No descriptions */
  bool move_time(int secs = 0, bool one = false);
  bool move_ms(int secs = 0, bool one = false);  
  /** No descriptions */
  bool ChangeFPS();
  /** No descriptions */
  bool convert(int dest, KListView * ListView);
  /** No descriptions */
  bool save(QString filename);
  /** No descriptions */
  bool checkLine(QListViewItem * line);
  /** No descriptions */
  bool check();
  /** No descriptions */
  bool checkSorted(QListViewItem * item);
  /** No descriptions */
  new_fps  *set_new_fps;

  move_sub * movetime;
  change_fps *convert_fps;
public: // Public attributes
  /**  */
  KListView * Lista;
  /**  */
  float fps;
  /**  */
  bool inserting;
};

#endif
